@import "~material-design-icons/iconfont/material-icons.css";

#top{
    height: 20px;
    width: 100%;
}

.left_forms_container,.right_forms_container{
    box-shadow: 1px 3px 6px rgba(0, 0, 0, 0.2);
    height: 500px;
    background-color: white;
    overflow: auto;
    margin-top: 3px;
    padding: 20px;
    position: relative;
    .fxflex{
        height: 0;
        min-height: 0;
    }
}

.fxFlexFill{
    height: 0;
}
.spacer{
    display: block;
    width: 100%;
    height: 20px;
}

.inq_container{
    box-shadow: 1px 3px 6px rgba(0, 0, 0, 0.2);
    height: 500px;
}

.left_forms_table,.right_forms_table_staff,.right_forms_table_vendor,.right_forms_create_materi{
    border-collapse: collapse;
    width: 100%;
    text-align: left;
    color:black;
    th{
        text-align: center;
    }
    td{
        padding-left:5px;
    }
    tr{
        line-height: 2em;
    }
}

.inq_button_icon{
    position: absolute;
    right: 2%;
    z-index: 1;
    top: 20%;
}

.gender_radio{
    .Male{
        margin-right: 20px;
    }

}

.w-100 {
    width: 100%;
    font-family: Fontil Sans, monospace;
    font-size: 1em;
    position: relative;
}

.w-101 {
    font-family: Fontil Sans, monospace;
    font-size: 1em;
    position: relative;
    width: 20%;
    margin-left: 80%;
    margin-top:20px;
    margin-bottom: 20px;
}

.acc_header,.enroll_header{
    padding: 12px 8px;
    background-color: rgb(199, 204, 230);
    color: white;
}

table {
    width: 100%;
    th{
        font-size: 1em;
    }
    th.mat-sort-header-sorted {
        color: black;
    }
}

.create_program{
    th, td{
        table-layout: fixed;
    }
    .mat-field-wrapper{
        margin-left: -20%;
    }
    .wdth_20{
        width: 35%;
    }
}

.mat-elevation-z8{
    box-shadow: 0 0 0 rgba(0, 0, 0, 0.0);
}

.mat-form-field {
    font-size: 14px;
    width: 100%;
}

table tr{
    cursor: pointer;
}
table tr:hover{
    background-color: rgba(0,0,0,.04);
}

@media only screen and (max-width: 425px) {
    .left_forms_container,.right_forms_container{
        height: 450px;
    }
    .w-101{
        width: 20%;
        margin-left: 75%;
        margin-top:20px;
    }    
    .mat-elevation-z8 {
        th{
         font-size: 0.8em;
        }
        td{
         font-size: 0.8em;
        }
     }
     .left_forms_table,.create_program{
        font-size: 0.85em;
    }

}
@media only screen and (max-width: 375px) {
    .w-101{
        width: 20%;
        margin-left: 70%;
        margin-top:20px;
    }    
    .right_forms_create_materi{
        .mat-form-field{
            width: 75%;
        }
    }
}

@media only screen and (max-width: 350px) {
    .right_forms_create_materi{
        .mat-form-field{
            width: 70%;
        }
    }
}


@media only screen and (max-width: 320px) {
    .left_forms_container{
        height: 500px;
        padding: 10px;
    }
    .w-101{
        width: 20%;
        margin-left: 60%;
        margin-top:20px;
    }    
    .mat-form-field{
        width: 91%;
    }
    
    .mat-elevation-z8 {
       th{
        font-size: 0.7em;
       }
       td{
        font-size: 0.7em;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;

       }
    }
    .left_forms_table,.create_program{
        font-size: 0.7em;
    }
    .right_forms_table_staff,.right_forms_create_materi{
        font-size: 0.7em;
    }
    .right_forms_create_materi{
        .mat-form-field{
            width: 65%;
        }
    }
}
